about summary refs log tree commit diff
path: root/test/pnmcrop1.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/pnmcrop1.test')
-rwxr-xr-xtest/pnmcrop1.test8
1 files changed, 6 insertions, 2 deletions
diff --git a/test/pnmcrop1.test b/test/pnmcrop1.test
index 6b37da23..34c7534a 100755
--- a/test/pnmcrop1.test
+++ b/test/pnmcrop1.test
@@ -51,13 +51,15 @@ for input_file in ${test_pbm} ${test_ppm}
 rm ${test_pbm} ${test_ppm}
 
 # Test 3
+echo "Test Invalid"
+
+test_out=${tmpdir}/test_out
 
 echo 1>&2
 echo "Invalid command-line argument combinations." 1>&2
 echo "Error messages should appear below the line." 1>&2
 echo "-----------------------------------------------------------" 1>&2
 
-echo Test 3
 for option in "-reportfull -reportsize" \
               "-reportfull -borderfile=testgrid.pbm" \
               "-reportsize -borderfile=testgrid.pbm" \
@@ -71,5 +73,7 @@ for option in "-reportfull -reportsize" \
               "-bg-color=black -closeness=101"
     do
     echo ${option}
-    pnmcrop -reportfull ${option} testgrid.pbm || echo expected failure
+    pnmcrop -reportfull ${option} testgrid.pbm > ${test_out} || \
+        echo -n "Expected failure: " ${option}; test -s ${test_out}; echo " "$?
+        rm ${test_out} 
     done